Bug 1329992 - Filter "Puppet class" doesn't have Organization and Location
Summary: Filter "Puppet class" doesn't have Organization and Location
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Organizations and Locations
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
high
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact:
URL:
Whiteboard: centralci
Depends On:
Blocks: 1338516
TreeView+ depends on / blocked
 
Reported: 2016-04-25 08:55 UTC by Alexander Braverman
Modified: 2018-09-04 17:42 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 17:42:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 14339 None None None 2016-04-26 20:03:04 UTC

Description Alexander Braverman 2016-04-25 08:55:08 UTC
Description of problem:

Lets say there are two organizations A and B. Organization A has Puppet environment A_puppet_env. The Puppet environment A_puppet_env was changed on Satellite (puppet modules were added), but Satellite database wasn't updated (the puppet modules were not imported). Organization B has a user B_user, that is not in organization A. The B_user has permissions to import puppet classes and environments for *organization B*. When the B_user will go to Puppet classes page (https://satellite.com/puppetclasses) and will click on "import from satellite.com" he will see the Puppet environment A_puppet_env. If the B_user will select the A_puppet_env and click "update" he will get: "Validation failed: Name has already been taken".

1. The user shouldn't see the A_puppet_env
2. The user should see only Puppet environments associated in Satellite

Version-Release number of selected component (if applicable):
Snap 8.2

How reproducible:
Always

Steps to Reproduce:
1. Create two organizations A and B
2. Create Content view in organization A with puppet modules, and publish
3. Create user B_user (non admin) with permissions to import puppet classes and environment in organization B
4. login as B_user, got to Puppet classes page
5. click "import from satellite.com"
6. select puppet organization A puppet environment
7. click update

Actual results:
"Validation failed: Name has already been taken"

Expected results:
User doesn't see organization A environments

Additional info:

Comment 1 Ivan Necas 2016-04-26 19:56:34 UTC
The taxonomies as written today don't provide a good way for namespacing the resources, as a resource can belong to multiple orgnaizations/locations. Flagging to sat-future and cloning to upstream to get into the right tracker

Comment 2 Ivan Necas 2016-04-26 19:57:30 UTC
Created redmine issue http://projects.theforeman.org/issues/14835 from this bug

Comment 4 Bryan Kearney 2016-04-27 19:21:15 UTC
Upstream bug component is Security

Comment 5 Bryan Kearney 2016-04-28 08:16:55 UTC
Upstream bug component is Organizations and Locations

Comment 9 Bryan Kearney 2017-09-14 17:54:38 UTC
This was triaged to upstream on https://bugzilla.redhat.com/show_bug.cgi?id=1329992#c1

Comment 10 Bryan Kearney 2018-09-04 17:42:48 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.


Note You need to log in before you can comment on or make changes to this bug.